Subject: [sipcore] Proxy-Feature: Requirement changes based on Robert's comments (IETF#81)

From: Christer Holmberg <[email-masked]>
Date: Sat, 26 Nov 2011 15:52:06 +0100

Hi,

Based on Robert's comments on the proxy feature requirements in Taipei, this e-mail describes suggested modifications.

If people are ok with the suggested modifications I will submit a new version of the requirements draft.

Regards,

Christer

------------

- Comment that REQ-10 should talk about having access to the information, rather than talking specifically about making routing decisions:

I suggest a modification of REQ-10:

OLD:

        REQ-10: Other SIP entities MUST be able to make routing
        decisions based on received feature/capability support
        indications.

NEW:

        REQ-10: Other SIP entities MUST be able to retrieve the
        feature/capability support indications received in a SIP
        message.

------------

- Comment regarding the fact that requirements REQ-8 and REQ-9 seem to be identical:

Actually, they are not identical. REQ-8 talks about the case when an entity receives an indication that it doesn't support, while REQ-9 talks about the case where an entity that doesn't even support the mechanism receives an indication.

So, my suggestion is that we keep both requirements.

But, If you think it helps, I could modify REQ-8 in the following way:

        "REQ-8: If a SIP entity <new> that supports the proxy feature/
        capability indication mechanism </new> receives a feature support
        indication that it does not understand, it MUST act as if it hadn't
        received the indication."

------------

- Comment regarding the fact that we don't have a requirement saying that a proxy indicating support of a feature/capability associated with a dialog must be part of the signaling path of that dialog.

I suggest the following new requirement:

REQ-XX: A SIP proxy that indicates support of a feature/capability associated with a dialog MUST be part of the signaling path of that dialog.

------------